std::swap(std::basic_ostringstream)(3)

NAME
std::swap(std::basic_ostringstream) - std::swap(std::basic_ostringstream)

Synopsis
   Defined in header <sstream>
   template< class CharT, class Traits, class Alloc >
   void swap( std::basic_ostringstream<CharT,Traits,Alloc>& lhs, (since C++11)
   std::basic_ostringstream<CharT,Traits,Alloc>& rhs );
   Overloads the std::swap algorithm for std::basic_ostringstream. Exchanges the state
   of lhs with that of rhs. Effectively calls lhs.swap(rhs).

Parameters
   lhs, rhs - streams whose state to swap

Return value
   (none)

Exceptions
   May throw implementation-defined exceptions.

Example
    This section is incomplete
    Reason: no example

See also
   swap swaps two string streams
   (C++11) (public member function)